import 'package:carousel_slider/carousel_slider.dart';
import 'package:farmer_client/pages/TabBar/widgets/home/widgets/headers.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'package:get/get_core/src/get_main.dart';
import '../../../../widgets/CarsCard.dart';
import '../../../../widgets/Search.dart';
import '../../../MoreCars/index.dart';


class HomePage extends StatefulWidget {
  const HomePage({Key? key}) : super(key: key);

  @override
  State<HomePage> createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  final CarouselController _controller = CarouselController();
  final List<String> imgList = [
    'https://images.unsplash.com/photo-1520342868574-5fa3804e551c?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=6ff92caffcdd63681a35134a6770ed3b&auto=format&fit=crop&w=1951&q=80',
    'https://images.unsplash.com/photo-1522205408450-add114ad53fe?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=368f45b0888aeb0b7b08e3a1084d3ede&auto=format&fit=crop&w=1950&q=80',
    'https://images.unsplash.com/photo-1519125323398-675f0ddb6308?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=94a1e718d89ca60a6337a6008341ca50&auto=format&fit=crop&w=1950&q=80',
    'https://images.unsplash.com/photo-1523205771623-e0faa4d2813d?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=89719a0d55dd05e2deae4120227e6efc&auto=format&fit=crop&w=1953&q=80',
    'https://images.unsplash.com/photo-1508704019882-f9cf40e475b4?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=8c6e5e3aba713b17aa1fe71ab4f0ae5b&auto=format&fit=crop&w=1352&q=80',
    'https://images.unsplash.com/photo-1519985176271-adb1088fa94c?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=a0c8d632e977f94e5d312d9893258f59&auto=format&fit=crop&w=1355&q=80'
  ];

  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.center,
      padding: EdgeInsets.fromLTRB(15.w, 0, 15.w, 0),
      child: ListView(
        children: [
          headers(),
          Container(
            margin: EdgeInsets.fromLTRB(0, 15, 0, 0),
            child: CarouselSlider(
              //API  https://pub.dev/documentation/carousel_slider/latest/carousel_options/CarouselOptions-class.html
              items:imgList
                  .map((item) => Container(
                child: Center(
                    child:
                    Image.network(item, fit: BoxFit.cover, width: 350.w)),
              ))
                  .toList(),
              options: CarouselOptions(
                autoPlay: true,
                enlargeCenterPage: false,//图片中心放大
                viewportFraction: 1,//每个页面应占据的视口部分。默认为 0.8，这意味着每个页面填充 80% 的轮播。
                // aspectRatio: 1.6,//纵横比
                height: 214.w,
                initialPage: 1,//初始页
              ),
            ),
          ),
          

          Container(
            margin: EdgeInsets.fromLTRB(0, 20, 0, 20),
            child: Column(
              children: [
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Container(
                      child: Row(
                        children: [
                          Padding(padding: EdgeInsets.fromLTRB(0, 0, 8, 0),
                            child:Image(image: AssetImage('images/icons/carsListImga.png'),fit: BoxFit.cover,width: 20.w,),
                          ),
                          Text('农机列表',
                            style: TextStyle(
                                color: Color(0xff222222),
                                fontSize: 20.sp,
                                fontWeight: FontWeight.bold
                            ),
                          )
                        ],
                      ),
                    ),
                    Container(
                      child:GestureDetector(
                        child:  Text('更多 >>'),
                        onTap: (){
                          print('点我进入农机搜索/更多页');
                          Get.to(MoreCars());
                        },
                      ),
                    )

                  ],
                ),
                CarsCard(),
                CarsCard(),
                CarsCard(),
              ],
            )

          ),

        ],
      ),


    );
  }
}
