import 'package:farmer_client/models/entities/Address.dart';
import 'package:farmer_client/widgets/DefaultButton.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:fluttertoast/fluttertoast.dart';
import 'package:get/get.dart';

class Feedback extends StatefulWidget {
  const Feedback({Key? key}) : super(key: key);

  @override
  _Feedback createState() => _Feedback();
}

class _Feedback extends State<Feedback> {
  String text = '';
  bool isEdit=false;
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      resizeToAvoidBottomInset: false,
      appBar: AppBar(
        elevation: 0,
        centerTitle: true,
        backgroundColor: Colors.white,
        title: Text(
          '意见反馈',
          style: TextStyle(
              color: Colors.black,
              fontSize: 17.sp,
              letterSpacing: 2,
              fontWeight: FontWeight.bold),
        ),
      ),
      body: Container(
        height: 700.h,
        padding: EdgeInsets.all(15.w),
        child: Stack(
          children: [
            Container(
              margin: EdgeInsets.fromLTRB(0, 0, 0, 50.h),
              padding: EdgeInsets.symmetric(vertical: 5.w, horizontal: 18.5.w),
              decoration: BoxDecoration(
                  color: const Color(0xFFfefefe),
                  borderRadius: BorderRadius.all(Radius.circular(10.w)),
                  border: Border.all(
                      color: const Color(0xcc000000),
                      width: 1.h,
                      style: BorderStyle.solid)),
              child: TextFormField(
                minLines: 6,
                maxLines: 6,
                style: TextStyle(fontSize: 17.sp, height: 1.5),
                decoration: const InputDecoration(
                  isCollapsed: true,
                  border: InputBorder.none,
                  counterText: '', //去掉计数
                  floatingLabelBehavior: FloatingLabelBehavior.never,
                ),
                onTap: () {
                  setState(() {
                    isEdit=true;
                  });
                },
                onChanged: (e) {
                  setState(() {
                    text = e;
                  });
                },
              ),
            ),
            if(!isEdit) Positioned(
              left: 20.w,
              top: 5.w,
              child: Row(
                children: [
                  Image.asset(
                    'images/icons/feedbackIcon.png',
                    width: 15.w,
                  ),
                  Text(
                    '请留下您宝贵的意见和建议！',
                    style: TextStyle(
                        fontSize: 17.sp,
                        letterSpacing: 2,
                        color: Color(0xFFBEBDBD)),
                  ),
                ],
              ),
            ),
            Positioned(
              bottom: 25.h,
              child: DefaultButton(
                color: const Color(0xffffffff),
                backColor: const Color(0xFFFF703B),
                width: 345.w,
                height: 49.h,
                text: '提交',
                onPressed: () {
                  if (text == '') {
                    Fluttertoast.showToast(msg: '请输入内容哦');
                  } else {
                    Fluttertoast.showToast(msg: '提交成功！');
                    Get.back();
                  }
                },
                margin: const EdgeInsets.all(0),
                fontSize: 20.sp,
                radius: 24.5.w,
              ),
            ),
          ],
        ),
      ),
    );
  }
}
